//Parallel Camera test code
// Captures QVGA preview from OV2640 camera module and displays on VGA monitor
//Copyright (C) Raymond Allen 2021
//MIT License

#include "Platform.h"

//QVGA over VGA driver at 16bpp
struct __using("QVGA_16bpp.spin2") QVGA1;

//Camera DV capture
struct __using("CameraCapture.spin2") Camera1;

i2c_Port I2C1;

int nLoop = 0;

void Setup()
{
	int basepin = 8;
	QVGA1.start(basepin, basepin + 4);

	Camera1.Start(QVGA1.GetBuffer(), DVP1_Basepin, DVP1_VSYNC, DVP1_HSYNC, DVP1_PixelClock, DVP1_Type);

	i2c_Setup(&I2C1, I2C1_SCLPIN, I2C1_SDAPIN, I2C1_SPEED, I2C1_PULLUP); //setup(i2c_Port*, scl, sda, khz, pullup) 
	printf("I2C Driver started.\n");

	//Create NCO clock for camera
	InitCamera(DVP1_Xclk, DVP1_PixelClockFreq, DVP1_RST, DVP1_Type, &I2C1, BMP);  //RJA added format option 29Dec22

}


void Loop()
{

	//uint16_t* p = (uint16_t*)QVGA1.GetBuffer();
	ProbeCamera(DVP1_Type, &I2C1);

	printf("Loop #%d\n\n", nLoop++);
}



int main()
{
 
    char c=0;
    printf("Starting\n");

    Setup();

    for (;;)
    {
        Loop();
        _waitms(1000);
    }


}





